Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003208 [JEDI VCL] 00 JVCL Components major always 2005-09-21 06:45 2006-06-27 07:59
Reporter lacejedi View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003208: JvTFAlarm1
Description The alarms do not appear to be triggering
Additional Information At an earlier point in time (either before a linked the diary back to a database and / or before upgrading from 3.00 RC1) I was able to ring a chime when an alarm triggered.

Now they are never triggering (in debug mode the OnAlarm event does not fire)

I cannot imagine what I have done which has caused this.

Any suggestion of help woulld be most appreciated.

Many thanks

Mike Leigh
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007952)
lacejedi (reporter)
2005-09-21 08:44

Hi

I have discovered that something is clearing down the

JvTFAlarm.Resources to a null string (after having being initialised in code at start up.

Any ideas what events / procedures would cause this
(0007953)
lacejedi (reporter)
2005-09-21 10:15

Moving the initialisation code means that always has the correct values but the alarms are still not firing
(0007962)
lacejedi (reporter)
2005-09-22 08:35

I have spent some time looking at this and have determined the following

1.

I have a linked JvTFDays, JvTFWeeks, JvTFMonths, JvTFDaysPrinter and JvTFAlarm linked to a to a JvTFScheduleManager

2.

For the JvTFScheduleManager

AlwaysPost = False

RefreshAutoReconcile = True

SchedLoadMode = sImBatch

The following events are defined

OnDeleteAppt

OnLoadBatch

OnPostAppt

OnRefreshAppt

3

The only code relating to the JvTFAlarm is

A procedure to load the resources

An OnAlarm event

The alarm is enabled

No alarms are triggering

I have added a button to inspect the properies of the JvTFAlarm at run time and find that

The resources are loaded as expecting, but the ScheduleCount is zero and remains so even when the new alarms are added.

*************************

I now have the alarms working

To do this I have had to

1) Code an OnNeedApts event fo the JvTFScheduleManager

EVEN THOUGH SchedLoadMode = sImBatch

2) After load the resource into the JvTFAlarm

EXECUTE

JvTFScheduleManager1.RequestSchedule(JvTFAlarm1, Resource[X], Date());

for each resource

Any help would be appreciated
(0008853)
obones (administrator)
2006-04-04 02:48

Could you try with the latest sources?
If this is still working "strange", could you then post the zipped sources of a sample application here?
(0009437)
obones (administrator)
2006-06-08 02:57

Any news?

Latest version is here:
http://jvcl.sf.net/daily/ [^]
(0009692)
obones (administrator)
2006-06-27 07:58

No news, assuming this is fixed in the latest SVN:

http://homepages.borland.com/jedi/wiki/index.php?title=Repository [^]

- Issue History
Date Modified Username Field Change
2005-09-21 06:45 lacejedi New Issue
2005-09-21 08:44 lacejedi Note Added: 0007952
2005-09-21 10:15 lacejedi Note Added: 0007953
2005-09-22 08:35 lacejedi Note Added: 0007962
2006-04-04 02:48 obones Note Added: 0008853
2006-04-04 02:48 obones Status new => feedback
2006-06-08 02:57 obones Note Added: 0009437
2006-06-27 07:58 obones Status feedback => resolved
2006-06-27 07:58 obones Resolution open => fixed
2006-06-27 07:58 obones Assigned To => obones
2006-06-27 07:58 obones Note Added: 0009692


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker